'use strict'

module.exports = function (block, ctx) {
  const preludes = ctx.language.options.preludes

  preludes.forEach(function (pre) {
    if (block.type && block.title) return
    if (!block.prelude) return
    let m = block.prelude.match(pre.regex)

    if (m) {
      block.type = pre.type
      block.title = format(pre.title, m)
      block.signature = pre.signature ? format(pre.signature, m) : null
    }
  })

  return block
}

function format (str, m) {
  return str.replace(/\\(\d)/g, function (_, i) {
    return m[+i]
  })
}
